/* ========================================================================= */
/* DATOS =================================================================== */
/* ========================================================================= */

var game = { name: "Flora Canaria", picture: "images/games/flora-canaria.png", color: "game-flora-canaria", resHeight: true };

var categories = [
	{ name: 'árbol', score: 1 }, 							// categoriesId[0]
	{ name: 'Arbusto', score: 1 }, 							// categoriesId[1]
	{ name: 'planta', score: 1 }, 							// categoriesId[2]
	{ name: 'Endémicas', score: 3 }, 						// categoriesId[3]
	{ name: 'Residentes en las Islas Canarias', score: 3 }, // categoriesId[4]
	{ name: 'En peligro de extinción', score: 4 }, 			// categoriesId[5]
	{ name: 'Exclusiva de...', score: 5, description: "<span class='span-description'>Vivo únicamente en:<br/></span><b>Lanzarote</b>, <b>Gran Canaria</b>, <b>Tenerife</b>, o <b>La Gomera</b>" }, 					// categoriesId[6]
	{ name: 'Pisos de vegetación', score: 5, description: "<span class='span-description'>Une las especies que conviven</span>" } 				// categoriesId[7]
];

// Añadimos el campo special edit a la categoría Diariamente
_.extend(categories[6], { special: {edit: true} });

var categoriesId = [];

// Asignamos un id único a cada categoría y lo guardamos
_.each(categories, function (category) {
	var id = _.uniqueId('category_');
	categoriesId.push(id);
	_.extend(category, {_id: id});
});

var items = [
	// { name: '', picture: 'images/items/.png', color: '', categoriesId: [  ], resHeight: false },

	{ name: 'Platanera', picture: 'images/items/platanera.png', color: 'light-cyan', categoriesId: [ categoriesId[1],categoriesId[4] ], resHeight: true },			// itemsId[0]
	{ name: 'Aloe', picture: 'images/items/aloe.png', color: 'dark-orange', categoriesId: [ categoriesId[2],categoriesId[4] ], resHeight: true},										// itemsId[1]
	{ name: 'Bejeque', picture: 'images/items/bejeque.png', color: 'dark-cyan', categoriesId: [ categoriesId[2],categoriesId[3] ], resHeight: false },									// itemsId[2]
	{ name: 'Bicacarera', picture: 'images/items/bicacarera.png', color: 'light-cyan', categoriesId: [ categoriesId[2],categoriesId[3] ], resHeight: false },				// itemsId[3]
	{ name: 'Cardón', picture: 'images/items/cardon.png', color: 'light-purple', categoriesId: [ categoriesId[1],categoriesId[3] ], resHeight: true },						// itemsId[4]
	{ name: 'Cedro', picture: 'images/items/cedro.png', color: 'light-yellow', categoriesId: [ categoriesId[0],categoriesId[3],categoriesId[5] ], resHeight: true },									// itemsId[5]
	{ name: 'Drago', picture: 'images/items/drago.png', color: 'light-cyan', categoriesId: [ categoriesId[0],categoriesId[3],categoriesId[5] ], resHeight: false },			// itemsId[6]
	{ name: 'Laurel', picture: 'images/items/laurel.png', color: 'light-yellow', categoriesId: [ categoriesId[0],categoriesId[3] ], resHeight: true },	// itemsId[7]
	{ name: 'Palmera Canaria', picture: 'images/items/palmera-canaria.png', color: 'dark-orange', categoriesId: [ categoriesId[0],categoriesId[3] ], resHeight: true},									// itemsId[8]
	{ name: 'Pino Canario', picture: 'images/items/pino.png', color: 'dark-cyan', categoriesId: [ categoriesId[0],categoriesId[3] ], resHeight: true },									// itemsId[9]
	{ name: 'Retama de Teide', picture: 'images/items/retama-del-teide.png', color: 'normal-purple', categoriesId: [ categoriesId[1],categoriesId[3], categoriesId[6] ], resHeight: true },		// itemsId[10]
	{ name: 'Sabina', picture: 'images/items/sabina.png', color: 'normal-cyan', categoriesId: [ categoriesId[0],categoriesId[3] ], resHeight: false },							// itemsId[11]
	{ name: 'Tabaiba', picture: 'images/items/tabaiba.png', color: 'dark-orange', categoriesId: [ categoriesId[1],categoriesId[4] ], resHeight: false },								// itemsId[12]
	{ name: 'Tajinaste Azul', picture: 'images/items/tajinaste-azul.png', color: 'normal-pink', categoriesId: [ categoriesId[2],categoriesId[3],categoriesId[5], categoriesId[6] ], resHeight: true},																// itemsId[13]
	{ name: 'Tajinaste rojo del Teide', picture: 'images/items/tajinaste-rojo.png', color: 'light-yellow', categoriesId: [ categoriesId[2],categoriesId[3], categoriesId[6] ], resHeight: true},		// itemsId[14]
	{ name: 'Tilo', picture: 'images/items/tilo.png', color: 'dark-green', categoriesId: [ categoriesId[0],categoriesId[3],categoriesId[5] ], resHeight: false},								// itemsId[15]
	{ name: 'Tunera Canaria', picture: 'images/items/tunera.png', color: 'normal-cyan', categoriesId: [ categoriesId[2],categoriesId[4] ], resHeight: false },					// itemsId[16]
	{ name: 'Violeta del Teide', picture: 'images/items/violeta-teide.png', color: 'normal-orange', categoriesId: [ categoriesId[2],categoriesId[3],categoriesId[5], categoriesId[6] ], resHeight: true },						// itemsId[17]
	{ name: 'Tarajal', picture: 'images/items/tarajal.png', color: 'light-cyan', categoriesId: [ categoriesId[0],categoriesId[4] ], resHeight: true },				// itemsId[18]
	{ name: 'guaydil', picture: 'images/items/guaydil.png', color: 'dark-cyan', categoriesId: [ categoriesId[1],categoriesId[3] ], resHeight: false },		// itemsId[19]
	{ name: 'Acebuche', picture: 'images/items/acebuche.png', color: 'light-cyan', categoriesId: [ categoriesId[0],categoriesId[3] ], resHeight: true },								// itemsId[20]
	{ name: 'Lentisco', picture: 'images/items/lentisco.png', color: 'normal-orange', categoriesId: [ categoriesId[1],categoriesId[4] ], resHeight: true },						// itemsId[21]
	{ name: 'Siempreviva', picture: 'images/items/siempreviva.png', color: 'normal-pink', categoriesId: [ categoriesId[1],categoriesId[3],categoriesId[5], categoriesId[6] ], resHeight: true },										// itemsId[22]
	{ name: 'Margarita de Famara', picture: 'images/items/margarita-famara.png', color: 'light-purple', categoriesId: [ categoriesId[2],categoriesId[3],categoriesId[5], categoriesId[6] ], resHeight: true }														// itemsId[23]
];

// Añadimos el campo especial edit a todos los items editables
_.each([10,13,14,17,22,23], function (pos) {
	_.extend(items[pos], { special: {edit: []} });
}); 

// Añadimos el campo special edit al item Pan
_.each([10,14,17], function (pos) {
	items[pos].special.edit.push('tenerife');
});

_.each([23], function (pos) {
	items[pos].special.edit.push('lanzarote');
});

_.each([13], function (pos) {
	items[pos].special.edit.push('gran canaria');
});

_.each([22], function (pos) {
	items[pos].special.edit.push('la gomera');
});

var itemsId = [];

// Asignamos un id único a cada item
_.each(items, function (item) {
	var id = _.uniqueId('item_');
	itemsId.push(id);
	_.extend(item, {_id: id});
});


// Añadimos el campo special folder a la categoría Pisos de vegetación
_.extend(categories[7], {
	special: {
		folder: [
			{ name: 'Bosque termófilo', content: [itemsId[11], itemsId[6], itemsId[8], itemsId[20], itemsId[21], itemsId[19]] },
			{ name: 'Monteverde', content: [itemsId[3], itemsId[7], itemsId[13], itemsId[15]] },
			{ name: 'Cardonal-Tabaibal', content: [itemsId[18], itemsId[4], itemsId[12], itemsId[1], itemsId[16], itemsId[0], itemsId[2]] },
			{ name: 'Pinar', content: [itemsId[9]] },
			{ name: 'Alta montaña', content: [itemsId[14], itemsId[17], itemsId[10]] }
		],
		minGroupSize: 1
	}
});

var boxes = [
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] }
];

// Asignamos un id único y un index a cada caja
_.each(boxes, function (box, index) {
	_.extend(box, {_id: _.uniqueId('box_'), index: index});
});
